Bug 1221158

Summary: Offline update failure
Product: [Fedora] Fedora Reporter: Allan Day <aday>
Component: gnome-softwareAssignee: Richard Hughes <rhughes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: awilliam, kalevlember, kparal, rhughes, sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: libhif-0.2.0-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-05-15 21:32:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043132    
Attachments:
Description Flags
screenshot none

Description Allan Day 2015-05-13 11:48:54 UTC
Created attachment 1025025 [details]
screenshot

I'm running the F22 beta. This morning I received a notification saying that updates were available. After selecting the "reboot and update" option, I received a message saying that the update had failed. A screenshot of the error dialog is attached.

Comment 1 Kalev Lember 2015-05-13 12:13:54 UTC
The way to reproduce it is:

 - open gnome-software, go to Updates tab, click refresh
 - wait until it finishes downloading updates and offers you to reboot
 - open terminal and update one of the packages with dnf
 - go back to gnome-software and try to Restart & Install, which then fails

Comment 2 Fedora Update System 2015-05-13 12:18:39 UTC
libhif-0.2.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libhif-0.2.0-3.fc22

Comment 3 Kalev Lember 2015-05-13 12:21:26 UTC
Proposing as a F22 Final Freeze Exception.

It's a pretty serious regression compared to F22 Beta and would be nice to pull in the fix for this to the install media to make sure the software updates work right.

Comment 4 Stephen Gallagher 2015-05-13 20:56:30 UTC
I'm +1 to this FE. I've also tested the updated libhif and can verify that it addresses the issue sufficiently for the release.

Comment 5 Adam Williamson 2015-05-13 21:13:16 UTC
sure, +1 FE.

Comment 6 Kamil Páral 2015-05-14 12:14:28 UTC
+1 FE. Kalev says that update contains no other change than this fix. I tested that libhif build and it fixes the problem.

Comment 7 Kamil Páral 2015-05-14 17:53:03 UTC
Discussed at the 2015-05-14 blocker review meeting.[1] Voted as AcceptedFreezeException - this could affect update after initial live install, and is a bad bug if experienced

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-14

Comment 8 Fedora Update System 2015-05-15 21:32:52 UTC
libhif-0.2.0-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.